#pragma once



namespace FarCryRegistry
{
	bool IsInstalled();
	bool GetInstallCmd( tstring& strInstallCmd );
	bool GetLaunchCmd( tstring& strLaunchCmd, tstring& strLaunchWorkingDir );
	bool GetUninstallCmd( tstring& strUninstallCmd, tstring& strUninstallParam1 );
	bool GetReadmePath( tstring& strReadmePath );
	bool GetManualPath( tstring& strManualPath );
	bool GetRegisterCmd( tstring& strRegisterCmd, tstring& strRegisterParam1, tstring& strRegisterParam2, tstring& strRegisterWorkingDir );
	bool GetWebLinkPath( tstring& strWeblinkPath );
	bool GetFarCryInstallationFolder( tstring& strInstallationFolder );
	bool GetIDriverFilePath( tstring& strIDriverFilePath );
} // namespace FarCryRegistry
